<link href="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
<script src="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<!------ Include the above in your HEAD tag ---------->

<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.0/css/all.css" integrity="sha384-lZN37f5QGtY3VHgisS14W3ExzMWZxybE1SJSEsQp9S+oqd12jhcu+A56Ebc1zFSJ" crossorigin="anonymous">

<!DOCTYPE html>
<html>
    <head>
        <title>Authentication</title>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
        
    </head>
    <body>
        <div *ngIf="auth.user$ | async; then authenticated else guest">
            <!-- template will replace this div -->
        </div>
        
        <!-- User NOT logged in -->
        <ng-template #guest>

            <div>
                <nav class="navbar navbar-light  bg-light fixed-top">
                    <a class="navbar-brand" href="https://www.quantiphi.com/"><img src="https://quggle.q-appliedai.com/assets/img/qlogo.png" height="30" width="160" class="d-inline-block align-top"></a>
                </nav>
            </div>
            
            <div class="py-5">
                <div class="container">
                    <div class="text-center py-5">
                        <h1 class="jumbotron-heading">Document Search Engine</h1>
                    </div>
                    <div class="row">
                        <div class="col-lg-4 col-md-4 col-sm-6 col-xs-12">
                            <div class="box-part text-center">
                                <div class="flip-card">
                                    <div class="flip-card-inner">
                                        <div class="flip-card-front">
                                            <i class="text-primary fas fa-search fa-3x mb-3" aria-hidden="true"></i>
                                            <div class="title">
                                                <h4>Search</h4>
                                            </div>
                                        </div>
                                        <div class="flip-card-back">
                                            <div class="text mb-3">
                                                <h5>Any news or article based on <br>sports | business | technology | entertainment.</h5>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-4 col-md-4 col-sm-4 col-xs-12">
                            <div class="box-part text-center">
                                <div class="flip-card">
                                    <div class="flip-card-inner">
                                        <div class="flip-card-front">
                                            <i class="text-success fas fa-user-plus fa-3x mb-3" aria-hidden="true"></i>
                                            <div class="title">
                                                <h4>Login to Get Started</h4>
                                            </div>
                                        </div>
                                        <div class="flip-card-back">
                                            <div class="text mb-3">
                                                <h5>With an easy Sign-In method Google Authentication.</h5>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-4 col-md-4 col-sm-4 col-xs-12">
                            <div class="box-part text-center">
                                <div class="flip-card">
                                    <div class="flip-card-inner">
                                        <div class="flip-card-front">
                                            <i class="text-danger fas fa-file-contract fa-3x mb-3" aria-hidden="true"></i>
                                            <div class="title">
                                                <h4>Documents</h4>
                                            </div>
                                        </div>
                                        <div class="flip-card-back">
                                            <div class="text mb-3">
                                                <h5>Efficiently stored and managed using Elastisearch.</h5>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row justify-content-between">
                        <div  id="button" class="col-lg-4 col-md-4 col-sm-4 col-xs-12">
                            <button (click)="auth.googleSignin()" class="btn btn-primary">
                                <i class="fa fa-google"></i> 
                                LogIn with Google
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        
            <app-footer></app-footer>
        </ng-template>
    
        
        <!-- User logged in -->
        <ng-template #authenticated>
            <div>
                <nav class="navbar navbar-light bg-light fixed-top">
                    <a class="navbar-brand"><img src="https://quggle.q-appliedai.com/assets/img/qlogo.png" height="30" width="160" class="d-inline-block align-top"></a>
                    <div class="text-center clickable">
                        <div *ngIf="auth.user$ | async as user">
                            <div class="d-flex justify-content-between">
                                <button (click)="auth.signOut()" class="btn btn-primary">Logout</button>
                            </div>
                        </div>
                    </div>
                </nav>    
            </div>
            <div style="margin-top: 20%;">
                <app-search></app-search>
            </div>
        </ng-template>
    </body>
</html>

